## splitfilesrc splitfilesrc |

## Properties

gchar * | location | Read / Write

## Types and Values

struct | GstSplitFileSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstSplitFileSrc

## Implemented Interfaces

GstSplitFileSrc implements GstURIHandler.

## Description

Reads data from multiple files, presenting those files as one continuous file to downstream elements. This is useful for reading a large file that had to be split into multiple parts due to filesystem file size limitations, for example.

The files to select are chosen via the location property, which supports (and expects) shell-style wildcards (but only for the filename, not for directories). The results will be sorted.

### Example launch lines

    1
    gst-launch-1.0 splitfilesrc location="/path/to/part-*.mpg" ! decodebin ! ...

Plays the different parts as if they were one single MPEG file.

    1
    gst-launch-1.0 playbin uri="splitfile://path/to/foo.avi.*"

Plays the different parts as if they were one single AVI file.

## Synopsis

### Element Information

plugin | multifile
author | Tim-Philipp Müller <tim.muller@collabora.co.uk>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstSplitFileSrc

    struct GstSplitFileSrc;

## Property Details

### The `“location”` property

      “location”                 gchar *

Wildcard pattern to match file names of the input files. If the location is an absolute path or contains directory components, only the base file name part will be considered for pattern matching. The results will be sorted.

Flags: Read / Write

Default value: NULL

## See Also

GstFileSrc, GstMultiFileSrc